<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let arr1 = [" avengers", "   captain_america", "ironman   ", " black panther   "];
    arr1 = arr1.map((x) => x.trim());
    console.log(arr1);
</script>
</html>